/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.MerchantBancario;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderMerchantBancario implements ListitemRenderer {

    @Override
    public void render(Listitem lstm, Object o) throws Exception {
        MerchantBancario merchantBancario = (MerchantBancario) o;

        Listcell lc = new Listcell(merchantBancario.getCvemerchant());
        lc.setParent(lstm);

        lc = new Listcell(merchantBancario.getDescmerchant());
        lc.setParent(lstm);

        lstm.setAttribute("data", merchantBancario);
    }
}
